<?php
/**
 *
 * Events Calendar An extension for the phpBB 3.2.0 Forum Software package.
 * @author Steve <https://www.stevenclark.website/phpbb/ext/index.php>
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace steve\calendar\migrations;

/**
* update migration
*/
class mu3_update_calendar extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return [
			'\steve\calendar\migrations\mu2_update_calendar',
		];
	}
	
	public function update_data()
	{
		return [
			['config.update', 	['calendar_version', '0.7.0-dev']],
			['config.add', 		['calendar_upcoming_events', 7]],
			
			['permission.add', 	['u_calendar_search']],
		];
	}
}
