<?php
/**
 *
 * Events Calendar An extension for the phpBB 3.2.0 Forum Software package.
 * @author Steve <https://www.stevenclark.website/phpbb/ext/index.php>
 * @copyright (c) phpBB Limited <https://www.phpbb.com>
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace steve\calendar\migrations;

/**
* update migration
*/

class mu1_update_calendar extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return array(
			'\steve\calendar\migrations\install_calendar',
		);
	}
	
	public function update_data()
	{
		return array(

			array('config.update', array('calendar_version', '0.5.2-dev')),
			array('config.add', array('calendar_default_link', 'YEAR')),
		);
	}
}
