<?php
/**
	* Events Calendar An extension for the phpBB 3.3.0 Forum Software package.
	* @author Steve <https://steven-clark.tech/phpBB3/index.php>
	* @license GNU General Public License, version 2 (GPL-2.0)
*/

namespace steve\calendar\migrations;

/**
	* update migration
*/
class mu4_update_calendar extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return [
			'\steve\calendar\migrations\mu3_update_calendar',
		];
	}
	
	public function update_data()
	{
		return [
			['config.update', 	['calendar_version', '0.9.0-dev']],
		];
	}
}
